<?php
/**
 *
 *          ..::..
 *     ..::::::::::::..
 *   ::'''''':''::'''''::
 *   ::..  ..:  :  ....::
 *   ::::  :::  :  :   ::
 *   ::::  :::  :  ''' ::
 *   ::::..:::..::.....::
 *     ''::::::::::::''
 *          ''::''
 *
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the GPLv3 or later.
 * It is available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to servicedesk@tig.nl so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future. If you wish to customize this module for your
 * needs please contact servicedesk@tig.nl for more information.
 *
 * @copyright   Copyright (c) Total Internet Group B.V. https://tig.nl/copyright
 * @license     http://www.gnu.org/licenses/gpl-3.0.html
 */

class GLS_Api_Label_Delete implements GlsApiCallInterface
{
    /** @var string $endpoint */
    public $endpoint = 'Label/Delete';

    /** @var array $body */
    public $body = [];

    /**
     * GLS_Api_Label_Delete constructor.
     */
    public function __construct()
    {
        $this->body           = GLS_Api::add_shipping_information();
        $this->body['unitNo'] = $this->getUnitNo();
    }

    /**
     * @return string|null
     */
    private function getUnitNo()
    {
        $order = wc_get_order(GLS()->post('order_id'));
        $label = $order->get_meta('_gls_label');

        return $label->units[0] ? $label->units[0]->unitNo : null;
    }

    /**
     * {@inheritDoc}
     */
    public function getEndpoint()
    {
        return $this->endpoint;
    }

    /**
     * {@inheritDoc}
     */
    public function getBody()
    {
        return $this->body;
    }

    /**
     * {@inheritDoc}
     */
    public function hasCustomerNo()
    {
        return false;
    }
}
