# GLS Netherlands Shipping for WooCommerce

GLS offers shipping solutions nationally and internationally in Europe and worldwide. By using this plugin you can integrate GLS shipping methods in WooCommerce.

## Description

[GLS](https://gls-group.eu/) offers reliable shipping solutions nationally and internationally in Europe and Worldwide. Europe is the defined core market. By using this plugin you can integrate GLS shipping methods into your WooCommerce store's checkout page and you are able to create GLS shipping labels for your orders within your WooCommerce admin area. The use of the extension is free, you only pay for created shipping labels according to your shipping contract with GLS Netherlands.

GLS Netherlands Shipping for WooCommerce enables you to manage the delivery of your parcels and to propose different delivery methods to your clients in your webshop. To see additional solutions, take a look at our [shipping solutions](https://gls-group.eu/NL/en/shipping-solutions).

## Account & Pricing

To use this plugin you need to be a business customer of [GLS Netherlands](https://gls-group.eu/). If you are not yet a business customer, just request your individual offer using [this form](https://gls-group.eu/NL/nl/contact). Additional fees apply for the [shipping services](https://gls-group.eu/NL/en/shipping-solutions). 

## Features

### Shipping Methods For Your Checkout Process.
Integrate GLS shipping methods into the checkout process of your store. Provide your customers the option to choose a next day or a GLS ParcelShop delivery. For the delivery to a GLS ParcelShop, a list of GLS ParcelShops (sorted by distance) is provided. You can define shipping rates per zone (using Shipping Zones) and per Delivery Service.

### Create and Print GLS Shipping Labels.
Easily create and print (multiple) shipping labels for an order from the WooCommerce admin area.

### Track Your Shipments.
Tracking links and PDF Labels are automatically included in the WooCommerce order overview after creating a shipping label.

## Supported GLS Products & Services

### (Euro) BusinessParcel             
* National standard shipping, Europe-wide shipping.

### ExpressService
* Express 9h: Delivery next business day or Saturday before 9h in the Netherlands.
* Express 12h: Delivery next business day or Saturday before 12h in the Netherlands.
* Express 17h: Guaranteed delivery next business day or Saturday in the Netherlands.

### SaturdayService
* National standard shipping on Friday for delivery on Saturday.

### ShopDeliveryService
* Delivery to a GLS ParcelShop.

### FlexDeliveryService
* The recipient can choose an alternative delivery option before the first delivery attempt.

### ShopReturnService
* Automatically include a return label with every requested shipping label.

### Free Shipping
* Setup free shipping above an order amount per shipping destination.

## Installation

### WordPress.org Repository
1. From your WordPress admin area, go to: *Plugins > Add new*.
2. Search for '*GLS Netherlands*'.
3. Click '*Install now*' and afterwards '*Activate*'.

### Github
1. Clone or download the plugin using the big green button on this page.
2. Extract the archive in `/wp-content/plugins/gls-woocommerce`.
3. Activate the plugin through the '*Plugins*' screen in WordPress.

## Configuration

You can use WooCommerce's 'Shipping Zones' to configure different shipping rates for GLS per shipping zone.

Further configuration can be done within *WooCommerce > Settings > GLS*.

## Frequently Asked Questions

Visit the FAQ at: https://docs.tig.nl/x/QQDpB

## Changelog

Visit the Changelog at: https://docs.tig.nl/x/RQDpB
